//
//  RateWorkoutView.swift
//  Werkout_ios
//
//  Created by Trey Tartt on 6/18/24.
//

import SwiftUI

struct RateWorkoutView: View {
    @Binding var difficulty: Float
    
    var body: some View {
        VStack {
            Divider()
            
            HStack {
                Text("No Rate")
                    .foregroundColor(.black)
                Text("Easy")
                    .foregroundColor(.green)
                Spacer()
                Text("Death")
                    .foregroundColor(.red)
            }
            
            ZStack {
                Slider(value: $difficulty, in: 0...5, step: 1)
            }
        }
    }
}

//#Preview {
//    RateWorkoutView()
//}
